diff --git a/doc/src/sgml/query.sgml b/doc/src/sgml/query.sgml
index b190f28d41e..49b973d2253 100644
--- a/doc/src/sgml/query.sgml
+++ b/doc/src/sgml/query.sgml
@@ -3,7 +3,7 @@
  <chapter id="tutorial-sql">
   <title>The <acronym>SQL</acronym> Language</title>
 
-  <sect1 id="tutorial-sql-intro">
+  <sect1 id="tutorial-sql-intro" xreflabel="Introduction">
    <title>Introduction</title>
 
    <para>
@@ -56,7 +56,7 @@
   </sect1>
 
 
-  <sect1 id="tutorial-concepts">
+  <sect1 id="tutorial-concepts" xreflabel="Concepts">
    <title>Concepts</title>
 
    <para>
@@ -102,7 +102,7 @@
   </sect1>
 
 
-  <sect1 id="tutorial-table">
+  <sect1 id="tutorial-table" xreflabel="Creating a New Table">
    <title>Creating a New Table</title>
 
    <indexterm zone="tutorial-table">
@@ -192,7 +192,7 @@ DROP TABLE <replaceable>tablename</replaceable>;
   </sect1>
 
 
-  <sect1 id="tutorial-populate">
+  <sect1 id="tutorial-populate" xreflabel="Populating a Table With Rows">
    <title>Populating a Table With Rows</title>
 
    <indexterm zone="tutorial-populate">
@@ -280,7 +280,7 @@ Hayward    37    54    \N    1994-11-29
   </sect1>
 
 
-  <sect1 id="tutorial-select">
+  <sect1 id="tutorial-select" xreflabel="Querying a Table">
    <title>Querying a Table</title>
 
    <para>
@@ -439,7 +439,7 @@ SELECT DISTINCT city
   </sect1>
 
 
-  <sect1 id="tutorial-join">
+  <sect1 id="tutorial-join" xreflabel="Joins Between Tables">
    <title>Joins Between Tables</title>
 
    <indexterm zone="tutorial-join">
@@ -640,7 +640,7 @@ SELECT *
   </sect1>
 
 
-  <sect1 id="tutorial-agg">
+  <sect1 id="tutorial-agg" xreflabel="Aggregate Functions">
    <title>Aggregate Functions</title>
 
    <indexterm zone="tutorial-agg">
@@ -837,7 +837,7 @@ SELECT city, count(*) FILTER (WHERE temp_lo &lt; 45), max(temp_lo)
   </sect1>
 
 
-  <sect1 id="tutorial-update">
+  <sect1 id="tutorial-update" xreflabel="Updates">
    <title>Updates</title>
 
    <indexterm zone="tutorial-update">
@@ -873,7 +873,7 @@ SELECT * FROM weather;
    </para>
   </sect1>
 
-  <sect1 id="tutorial-delete">
+  <sect1 id="tutorial-delete" xreflabel="Deletions">
    <title>Deletions</title>
 
    <indexterm zone="tutorial-delete">
diff --git a/doc/src/sgml/rangetypes.sgml b/doc/src/sgml/rangetypes.sgml
index 92ea0e83dab..b8eeb68462e 100644
--- a/doc/src/sgml/rangetypes.sgml
+++ b/doc/src/sgml/rangetypes.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/rangetypes.sgml -->
 
-<sect1 id="rangetypes">
+<sect1 id="rangetypes" xreflabel="Range Types">
  <title>Range Types</title>
 
  <indexterm>
@@ -38,7 +38,7 @@
   of their own.
  </para>
 
- <sect2 id="rangetypes-builtin">
+ <sect2 id="rangetypes-builtin" xreflabel="Built-in Range and Multirange Types">
   <title>Built-in Range and Multirange Types</title>
 
  <para>
@@ -86,7 +86,7 @@
  </para>
  </sect2>
 
- <sect2 id="rangetypes-examples">
+ <sect2 id="rangetypes-examples" xreflabel="Examples">
   <title>Examples</title>
 
   <para>
@@ -117,7 +117,7 @@ SELECT isempty(numrange(1, 5));
   </para>
  </sect2>
 
- <sect2 id="rangetypes-inclusivity">
+ <sect2 id="rangetypes-inclusivity" xreflabel="Inclusive and Exclusive Bounds">
   <title>Inclusive and Exclusive Bounds</title>
 
   <para>
@@ -144,7 +144,7 @@ SELECT isempty(numrange(1, 5));
   </para>
  </sect2>
 
- <sect2 id="rangetypes-infinite">
+ <sect2 id="rangetypes-infinite" xreflabel="Infinite (Unbounded) Ranges">
   <title>Infinite (Unbounded) Ranges</title>
 
   <para>
@@ -177,7 +177,7 @@ SELECT isempty(numrange(1, 5));
   </para>
  </sect2>
 
- <sect2 id="rangetypes-io">
+ <sect2 id="rangetypes-io" xreflabel="Range Input/Output">
   <title>Range Input/Output</title>
 
   <para>
@@ -271,7 +271,7 @@ SELECT '{[3,7), [8,9)}'::int4multirange;
 
  </sect2>
 
- <sect2 id="rangetypes-construct">
+ <sect2 id="rangetypes-construct" xreflabel="Constructing Ranges and Multiranges">
   <title>Constructing Ranges and Multiranges</title>
 
   <para>
@@ -321,7 +321,7 @@ SELECT nummultirange(numrange(1.0, 14.0), numrange(20.0, 25.0));
   </para>
  </sect2>
 
- <sect2 id="rangetypes-discrete">
+ <sect2 id="rangetypes-discrete" xreflabel="Discrete Range Types">
   <title>Discrete Range Types</title>
 
   <para>
@@ -368,7 +368,7 @@ SELECT nummultirange(numrange(1.0, 14.0), numrange(20.0, 25.0));
   </para>
  </sect2>
 
- <sect2 id="rangetypes-defining">
+ <sect2 id="rangetypes-defining" xreflabel="Defining New Range Types">
   <title>Defining New Range Types</title>
 
   <para>
@@ -463,7 +463,7 @@ SELECT '[11:10, 23:00]'::timerange;
   </para>
  </sect2>
 
- <sect2 id="rangetypes-indexing">
+ <sect2 id="rangetypes-indexing" xreflabel="Indexing">
   <title>Indexing</title>
 
   <indexterm>
@@ -517,7 +517,7 @@ CREATE INDEX reservation_idx ON reservation USING GIST (during);
   </para>
  </sect2>
 
- <sect2 id="rangetypes-constraint">
+ <sect2 id="rangetypes-constraint" xreflabel="Constraints on Ranges">
   <title>Constraints on Ranges</title>
 
   <indexterm>
diff --git a/doc/src/sgml/regress.sgml b/doc/src/sgml/regress.sgml
index d80dd46c5fd..c25b4c29b48 100644
--- a/doc/src/sgml/regress.sgml
+++ b/doc/src/sgml/regress.sgml
@@ -18,7 +18,7 @@
    <productname>PostgreSQL</productname>.
   </para>
 
-  <sect1 id="regress-run">
+  <sect1 id="regress-run" xreflabel="Running the Tests">
    <title>Running the Tests</title>
 
   <para>
@@ -34,7 +34,7 @@
    mode in case this is required by the test.
   </para>
 
-  <sect2 id="regress-run-temp-inst">
+  <sect2 id="regress-run-temp-inst" xreflabel="Running the Tests Against a Temporary Installation">
    <title>Running the Tests Against a Temporary Installation</title>
 
   <para>
@@ -95,7 +95,7 @@ make MAX_CONNECTIONS=10 check
    </para>
   </sect2>
 
-  <sect2 id="regress-run-existing-inst">
+  <sect2 id="regress-run-existing-inst" xreflabel="Running the Tests Against an Existing Installation">
    <title>Running the Tests Against an Existing Installation</title>
 
   <para>
@@ -125,7 +125,7 @@ make installcheck-parallel
   </para>
   </sect2>
 
-  <sect2 id="regress-subset">
+  <sect2 id="regress-subset" xreflabel="Running Specific Tests">
    <title>Running Specific Tests</title>
 
    <para>
@@ -137,7 +137,7 @@ make installcheck-parallel
    </para>
   </sect2>
 
-  <sect2 id="regress-additional">
+  <sect2 id="regress-additional" xreflabel="Additional Test Suites">
    <title>Additional Test Suites</title>
 
   <para>
@@ -401,7 +401,7 @@ make check-world PG_TEST_EXTRA='kerberos ldap ssl load_balance libpq_encryption'
   </para>
   </sect2>
 
-  <sect2 id="regress-run-locale">
+  <sect2 id="regress-run-locale" xreflabel="Locale and Encoding">
    <title>Locale and Encoding</title>
 
    <para>
@@ -444,7 +444,7 @@ make check LANG=C ENCODING=EUC_JP
    </para>
   </sect2>
 
-  <sect2 id="regress-run-custom-settings">
+  <sect2 id="regress-run-custom-settings" xreflabel="Custom Server Settings">
    <title>Custom Server Settings</title>
 
    <para>
@@ -490,7 +490,7 @@ make check EXTRA_REGRESS_OPTS="--temp-config=test_postgresql.conf"
 
   </sect2>
 
-  <sect2 id="regress-run-extra-tests">
+  <sect2 id="regress-run-extra-tests" xreflabel="Extra Tests">
    <title>Extra Tests</title>
 
    <para>
@@ -506,7 +506,7 @@ make check EXTRA_TESTS=numeric_big
   </sect2>
   </sect1>
 
-  <sect1 id="regress-evaluation">
+  <sect1 id="regress-evaluation" xreflabel="Test Evaluation">
    <title>Test Evaluation</title>
 
    <para>
@@ -554,7 +554,7 @@ make check EXTRA_TESTS=numeric_big
     <xref linkend="regress-variant"/> for details.
    </para>
 
-   <sect2 id="regress-evaluation-message-differences">
+   <sect2 id="regress-evaluation-message-differences" xreflabel="Error Message Differences">
     <title>Error Message Differences</title>
 
     <para>
@@ -569,7 +569,7 @@ make check EXTRA_TESTS=numeric_big
     </para>
    </sect2>
 
-   <sect2 id="regress-evaluation-locale-differences">
+   <sect2 id="regress-evaluation-locale-differences" xreflabel="Locale Differences">
     <title>Locale Differences</title>
 
     <para>
@@ -616,7 +616,7 @@ make check NO_LOCALE=1
     </para>
    </sect2>
 
-   <sect2 id="regress-evaluation-date-time-differences">
+   <sect2 id="regress-evaluation-date-time-differences" xreflabel="Date and Time Differences">
     <title>Date and Time Differences</title>
 
     <para>
@@ -630,7 +630,7 @@ make check NO_LOCALE=1
     </para>
    </sect2>
 
-   <sect2 id="regress-evaluation-float-differences">
+   <sect2 id="regress-evaluation-float-differences" xreflabel="Floating-Point Differences">
     <title>Floating-Point Differences</title>
 
     <para>
@@ -658,7 +658,7 @@ make check NO_LOCALE=1
     </para>
    </sect2>
 
-   <sect2 id="regress-evaluation-ordering-differences">
+   <sect2 id="regress-evaluation-ordering-differences" xreflabel="Row Ordering Differences">
     <title>Row Ordering Differences</title>
 
     <para>
@@ -694,7 +694,7 @@ exclusion of those that don't.
     </para>
    </sect2>
 
-   <sect2 id="regress-evaluation-stack-depth">
+   <sect2 id="regress-evaluation-stack-depth" xreflabel="Insufficient Stack Depth">
     <title>Insufficient Stack Depth</title>
 
     <para>
@@ -716,7 +716,7 @@ exclusion of those that don't.
     </para>
    </sect2>
 
-   <sect2 id="regress-evaluation-random-test">
+   <sect2 id="regress-evaluation-random-test" xreflabel="The random Test">
     <title>The <quote>random</quote> Test</title>
 
     <para>
@@ -731,7 +731,7 @@ diff results/random.out expected/random.out
     </para>
    </sect2>
 
-   <sect2 id="regress-evaluation-config-params">
+   <sect2 id="regress-evaluation-config-params" xreflabel="Configuration Parameters">
     <title>Configuration Parameters</title>
 
     <para>
@@ -745,7 +745,7 @@ diff results/random.out expected/random.out
   </sect1>
 
 <!-- We might want to move the following section into the developer's guide. -->
-  <sect1 id="regress-variant">
+  <sect1 id="regress-variant" xreflabel="Variant Comparison Files">
    <title>Variant Comparison Files</title>
 
    <para>
@@ -839,7 +839,7 @@ float4:out:.*-.*-cygwin.*=float4-misrounded-input.out
 
   </sect1>
 
-  <sect1 id="regress-tap">
+  <sect1 id="regress-tap" xreflabel="TAP Tests">
    <title>TAP Tests</title>
 
    <para>
@@ -894,7 +894,7 @@ make check PROVE_TESTS='t/001_test1.pl t/003_test3.pl'
     results from temporary servers and the already-running test server.
    </para>
 
-  <sect2 id="regress-tap-vars">
+  <sect2 id="regress-tap-vars" xreflabel="Environment Variables">
    <title>Environment Variables</title>
 
    <para>
@@ -929,7 +929,7 @@ PG_TEST_NOCLEAN=1 make -C src/bin/pg_dump check
 
   </sect1>
 
-  <sect1 id="regress-coverage">
+  <sect1 id="regress-coverage" xreflabel="Test Coverage Examination">
    <title>Test Coverage Examination</title>
 
    <para>
@@ -941,7 +941,7 @@ PG_TEST_NOCLEAN=1 make -C src/bin/pg_dump check
     and <literal>lcov</literal> packages.
    </para>
 
-   <sect2 id="regress-coverage-configure">
+   <sect2 id="regress-coverage-configure" xreflabel="Coverage with Autoconf and Make">
     <title>Coverage with Autoconf and Make</title>
     <para>
      A typical workflow looks like this:
@@ -988,7 +988,7 @@ make coverage-clean
     </para>
    </sect2>
 
-   <sect2 id="regress-coverage-meson">
+   <sect2 id="regress-coverage-meson" xreflabel="Coverage with Meson">
     <title>Coverage with Meson</title>
     <para>
      A typical workflow looks like this:
diff --git a/doc/src/sgml/release-19.sgml b/doc/src/sgml/release-19.sgml
index 8d242b5b281..3bfcd8af86b 100644
--- a/doc/src/sgml/release-19.sgml
+++ b/doc/src/sgml/release-19.sgml
@@ -1,7 +1,7 @@
 <!-- doc/src/sgml/release-19.sgml -->
 <!-- See header comment in release.sgml about typical markup -->
 
-<sect1 id="release-19">
+<sect1 id="release-19" xreflabel="Release 19">
  <title>Release 19</title>
 
  <formalpara>
diff --git a/doc/src/sgml/release.sgml b/doc/src/sgml/release.sgml
index a659d382db9..75b4cd3006b 100644
--- a/doc/src/sgml/release.sgml
+++ b/doc/src/sgml/release.sgml
@@ -72,7 +72,7 @@ For new features, add links to the documentation sections.
 
 &release-19;
 
- <sect1 id="release-prior">
+ <sect1 id="release-prior" xreflabel="Prior Releases">
   <title>Prior Releases</title>
 
   <para>
diff --git a/doc/src/sgml/rowtypes.sgml b/doc/src/sgml/rowtypes.sgml
index bbeac84d46a..ed2469e2138 100644
--- a/doc/src/sgml/rowtypes.sgml
+++ b/doc/src/sgml/rowtypes.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/rowtypes.sgml -->
 
-<sect1 id="rowtypes">
+<sect1 id="rowtypes" xreflabel="Composite Types">
  <title>Composite Types</title>
 
  <indexterm>
@@ -19,7 +19,7 @@
   column of a table can be declared to be of a composite type.
  </para>
 
- <sect2 id="rowtypes-declaring">
+ <sect2 id="rowtypes-declaring" xreflabel="Declaration of Composite Types">
   <title>Declaration of Composite Types</title>
 
  <para>
@@ -91,7 +91,7 @@ CREATE TABLE inventory_item (
  </para>
  </sect2>
 
- <sect2 id="rowtypes-constructing">
+ <sect2 id="rowtypes-constructing" xreflabel="Constructing Composite Values">
   <title>Constructing Composite Values</title>
 
   <indexterm>
@@ -157,7 +157,7 @@ ROW('', 42, NULL)
  </para>
  </sect2>
 
- <sect2 id="rowtypes-accessing">
+ <sect2 id="rowtypes-accessing" xreflabel="Accessing Composite Types">
   <title>Accessing Composite Types</title>
 
  <para>
@@ -209,7 +209,7 @@ SELECT (my_func(...)).field FROM ...
  </para>
  </sect2>
 
- <sect2 id="rowtypes-modifying">
+ <sect2 id="rowtypes-modifying" xreflabel="Modifying Composite Types">
   <title>Modifying Composite Types</title>
 
  <para>
@@ -252,7 +252,7 @@ INSERT INTO mytab (complex_col.r, complex_col.i) VALUES(1.1, 2.2);
  </para>
  </sect2>
 
- <sect2 id="rowtypes-usage">
+ <sect2 id="rowtypes-usage" xreflabel="Using Composite Types in Queries">
   <title>Using Composite Types in Queries</title>
 
   <para>
@@ -453,7 +453,7 @@ SELECT c.somefunc FROM inventory_item c;
   </tip>
  </sect2>
 
- <sect2 id="rowtypes-io-syntax">
+ <sect2 id="rowtypes-io-syntax" xreflabel="Composite Type Input and Output Syntax">
   <title>Composite Type Input and Output Syntax</title>
 
   <para>
diff --git a/doc/src/sgml/rules.sgml b/doc/src/sgml/rules.sgml
index 7f23962f524..d9d340bd969 100644
--- a/doc/src/sgml/rules.sgml
+++ b/doc/src/sgml/rules.sgml
@@ -33,7 +33,7 @@
      linkend="ong90"/>.
 </para>
 
-<sect1 id="querytree">
+<sect1 id="querytree" xreflabel="The Query Tree">
 <title>The Query Tree</title>
 
 <indexterm zone="querytree">
@@ -266,7 +266,7 @@
 </para>
 </sect1>
 
-<sect1 id="rules-views">
+<sect1 id="rules-views" xreflabel="Views and the Rule System">
 <title>Views and the Rule System</title>
 
 <indexterm zone="rules-views">
@@ -311,7 +311,7 @@ CREATE RULE "_RETURN" AS ON SELECT TO myview DO INSTEAD
     <xref linkend="rules-views-update"/>.
 </para>
 
-<sect2 id="rules-select">
+<sect2 id="rules-select" xreflabel="How SELECT Rules Work">
 <title>How <command>SELECT</command> Rules Work</title>
 
 <indexterm zone="rules-select">
@@ -644,7 +644,7 @@ SELECT shoe_ready.shoename, shoe_ready.sh_avail,
    </para>
 </sect2>
 
-<sect2 id="rules-views-non-select">
+<sect2 id="rules-views-non-select" xreflabel="View Rules in Non-SELECT Statements">
 <title>View Rules in Non-<command>SELECT</command> Statements</title>
 
 <para>
@@ -764,7 +764,7 @@ SELECT t1.a, t2.b, t1.ctid FROM t1, t2 WHERE t1.a = t2.a;
 </para>
 </sect2>
 
-<sect2 id="rules-views-power">
+<sect2 id="rules-views-power" xreflabel="The Power of Views in PostgreSQL">
 <title>The Power of Views in <productname>PostgreSQL</productname></title>
 
 <para>
@@ -793,7 +793,7 @@ SELECT t1.a, t2.b, t1.ctid FROM t1, t2 WHERE t1.a = t2.a;
 </para>
 </sect2>
 
-<sect2 id="rules-views-update">
+<sect2 id="rules-views-update" xreflabel="Updating a View">
 <title>Updating a View</title>
 
 <para>
@@ -893,7 +893,7 @@ SELECT t1.a, t2.b, t1.ctid FROM t1, t2 WHERE t1.a = t2.a;
 
 </sect1>
 
-<sect1 id="rules-materializedviews">
+<sect1 id="rules-materializedviews" xreflabel="Materialized Views">
 <title>Materialized Views</title>
 
 <indexterm zone="rules-materializedviews">
@@ -1103,7 +1103,7 @@ SELECT word FROM words ORDER BY word &lt;-&gt; 'caterpiler' LIMIT 10;
 
 </sect1>
 
-<sect1 id="rules-update">
+<sect1 id="rules-update" xreflabel="Rules on INSERT, UPDATE, and DELETE">
 <title>Rules on <command>INSERT</command>, <command>UPDATE</command>, and <command>DELETE</command></title>
 
 <indexterm zone="rules-update">
@@ -1185,7 +1185,7 @@ SELECT word FROM words ORDER BY word &lt;-&gt; 'caterpiler' LIMIT 10;
  </para>
 </caution>
 
-<sect2 id="rules-update-how">
+<sect2 id="rules-update-how" xreflabel="How Update Rules Work">
 <title>How Update Rules Work</title>
 
 <para>
@@ -1309,7 +1309,7 @@ CREATE [ OR REPLACE ] RULE <replaceable class="parameter">name</replaceable> AS
     there is no need to apply update rules to the output of view rewriting.
 </para>
 
-<sect3 id="rules-update-how-first">
+<sect3 id="rules-update-how-first" xreflabel="A First Rule Step by Step">
 <title>A First Rule Step by Step</title>
 
 <para>
@@ -1556,7 +1556,7 @@ SELECT shoelace_data.sl_name, 0,
 
 </sect2>
 
-<sect2 id="rules-update-views">
+<sect2 id="rules-update-views" xreflabel="Cooperation with Views">
 <title>Cooperation with Views</title>
 
 <indexterm zone="rules-update-views"><primary>view</primary><secondary>updating</secondary></indexterm>
@@ -2012,7 +2012,7 @@ SELECT * FROM shoelace;
 
 </sect1>
 
-<sect1 id="rules-privileges">
+<sect1 id="rules-privileges" xreflabel="Rules and Privileges">
 <title>Rules and Privileges</title>
 
 <indexterm zone="rules-privileges">
@@ -2215,7 +2215,7 @@ CREATE VIEW phone_number WITH (security_barrier) AS
 </para>
 </sect1>
 
-<sect1 id="rules-status">
+<sect1 id="rules-status" xreflabel="Rules and Command Status">
 <title>Rules and Command Status</title>
 
 <para>
@@ -2266,7 +2266,7 @@ CREATE VIEW phone_number WITH (security_barrier) AS
 </para>
 </sect1>
 
-<sect1 id="rules-triggers">
+<sect1 id="rules-triggers" xreflabel="Rules Versus Triggers">
 <title>Rules Versus Triggers</title>
 
 <indexterm zone="rules-triggers">
diff --git a/doc/src/sgml/runtime.sgml b/doc/src/sgml/runtime.sgml
index 0c60bafac63..74c1ce88d26 100644
--- a/doc/src/sgml/runtime.sgml
+++ b/doc/src/sgml/runtime.sgml
@@ -20,7 +20,7 @@
   Consult the package-level documentation for details.
  </para>
 
- <sect1 id="postgres-user">
+ <sect1 id="postgres-user" xreflabel="The PostgreSQL User Account">
   <title>The <productname>PostgreSQL</productname> User Account</title>
 
   <indexterm>
@@ -52,7 +52,7 @@
   </para>
  </sect1>
 
- <sect1 id="creating-cluster">
+ <sect1 id="creating-cluster" xreflabel="Creating a Database Cluster">
   <title>Creating a Database Cluster</title>
 
   <indexterm>
@@ -240,7 +240,7 @@ postgres$ <userinput>initdb -D /usr/local/pgsql/data</userinput>
    different operating system, or an operating system upgrade.
   </para>
 
-  <sect2 id="creating-cluster-mount-points">
+  <sect2 id="creating-cluster-mount-points" xreflabel="Use of Secondary File Systems">
    <title>Use of Secondary File Systems</title>
 
    <indexterm zone="creating-cluster-mount-points">
@@ -262,7 +262,7 @@ postgres$ <userinput>initdb -D /usr/local/pgsql/data</userinput>
 
   </sect2>
 
-  <sect2 id="creating-cluster-filesystem">
+  <sect2 id="creating-cluster-filesystem" xreflabel="File Systems">
    <title>File Systems</title>
 
    <para>
@@ -274,7 +274,7 @@ postgres$ <userinput>initdb -D /usr/local/pgsql/data</userinput>
     making minor file system configuration changes.
    </para>
 
-   <sect3 id="creating-cluster-nfs">
+   <sect3 id="creating-cluster-nfs" xreflabel="NFS">
     <title>NFS</title>
 
     <indexterm zone="creating-cluster-nfs">
@@ -335,7 +335,7 @@ postgres$ <userinput>initdb -D /usr/local/pgsql/data</userinput>
 
  </sect1>
 
- <sect1 id="server-start">
+ <sect1 id="server-start" xreflabel="Starting the Database Server">
   <title>Starting the Database Server</title>
 
   <para>
@@ -546,7 +546,7 @@ su - postgres -c "/usr/local/pgsql/bin/pg_ctl start -l logfile -D /usr/local/pgs
     shutting down the server.
    </para>
 
-   <sect2 id="server-start-failures">
+   <sect2 id="server-start-failures" xreflabel="Server Start-up Failures">
     <title>Server Start-up Failures</title>
 
     <para>
@@ -618,7 +618,7 @@ DETAIL:  Failed system call was semget(5440126, 17, 03600).
     </para>
    </sect2>
 
-   <sect2 id="client-connection-problems">
+   <sect2 id="client-connection-problems" xreflabel="Client Connection Problems">
     <title>Client Connection Problems</title>
 
     <para>
@@ -673,7 +673,7 @@ psql: error: connection to server on socket "/tmp/.s.PGSQL.5432" failed: No such
    </sect2>
   </sect1>
 
- <sect1 id="kernel-resources">
+ <sect1 id="kernel-resources" xreflabel="Managing Kernel Resources">
   <title>Managing Kernel Resources</title>
 
   <para>
@@ -684,7 +684,7 @@ psql: error: connection to server on socket "/tmp/.s.PGSQL.5432" failed: No such
    can take to resolve problems related to kernel resource consumption.
   </para>
 
-  <sect2 id="sysvipc">
+  <sect2 id="sysvipc" xreflabel="Shared Memory and Semaphores">
    <title>Shared Memory and Semaphores</title>
 
    <indexterm zone="sysvipc">
@@ -1127,7 +1127,7 @@ project.max-msg-ids=(priv,4096,deny)
 
   </sect2>
 
-  <sect2 id="systemd-removeipc">
+  <sect2 id="systemd-removeipc" xreflabel="systemd RemoveIPC">
    <title>systemd RemoveIPC</title>
 
    <indexterm>
@@ -1207,7 +1207,7 @@ RemoveIPC=no
    </caution>
   </sect2>
 
-  <sect2 id="kernel-resources-limits">
+  <sect2 id="kernel-resources-limits" xreflabel="Resource Limits">
    <title>Resource Limits</title>
 
    <para>
@@ -1306,7 +1306,7 @@ default:\
    </para>
   </sect2>
 
-  <sect2 id="linux-memory-overcommit">
+  <sect2 id="linux-memory-overcommit" xreflabel="Linux Memory Overcommit">
    <title>Linux Memory Overcommit</title>
 
    <indexterm>
@@ -1419,7 +1419,7 @@ export PG_OOM_ADJUST_VALUE=0
 
   </sect2>
 
-  <sect2 id="linux-huge-pages">
+  <sect2 id="linux-huge-pages" xreflabel="Linux Huge Pages">
    <title>Linux Huge Pages</title>
 
    <para>
@@ -1504,7 +1504,7 @@ $ <userinput>cat /sys/kernel/mm/hugepages/hugepages-2048kB/nr_hugepages</userinp
  </sect1>
 
 
- <sect1 id="server-shutdown">
+ <sect1 id="server-shutdown" xreflabel="Shutting Down the Server">
   <title>Shutting Down the Server</title>
 
   <indexterm zone="server-shutdown">
@@ -1612,7 +1612,7 @@ $ <userinput>kill -INT `head -1 /usr/local/pgsql/data/postmaster.pid`</userinput
   </para>
  </sect1>
 
- <sect1 id="upgrading">
+ <sect1 id="upgrading" xreflabel="Upgrading a PostgreSQL Cluster">
   <title>Upgrading a <productname>PostgreSQL</productname> Cluster</title>
 
   <indexterm zone="upgrading">
@@ -1737,7 +1737,7 @@ $ <userinput>kill -INT `head -1 /usr/local/pgsql/data/postmaster.pid`</userinput
 
   </variablelist>
 
-  <sect2 id="upgrading-via-pgdumpall">
+  <sect2 id="upgrading-via-pgdumpall" xreflabel="Upgrading Data via pg_dumpall">
    <title>Upgrading Data via <application>pg_dumpall</application></title>
 
    <para>
@@ -1900,7 +1900,7 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
 
   </sect2>
 
-  <sect2 id="upgrading-via-pg-upgrade">
+  <sect2 id="upgrading-via-pg-upgrade" xreflabel="Upgrading Data via pg_upgrade">
    <title>Upgrading Data via <application>pg_upgrade</application></title>
 
    <para>
@@ -1915,7 +1915,7 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
 
   </sect2>
 
-  <sect2 id="upgrading-via-replication">
+  <sect2 id="upgrading-via-replication" xreflabel="Upgrading Data via Replication">
    <title>Upgrading Data via Replication</title>
 
    <para>
@@ -1941,7 +1941,7 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
   </sect2>
  </sect1>
 
- <sect1 id="preventing-server-spoofing">
+ <sect1 id="preventing-server-spoofing" xreflabel="Preventing Server Spoofing">
   <title>Preventing Server Spoofing</title>
 
   <indexterm zone="preventing-server-spoofing">
@@ -2023,7 +2023,7 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
   </para>
  </sect1>
 
- <sect1 id="encryption-options">
+ <sect1 id="encryption-options" xreflabel="Encryption Options">
   <title>Encryption Options</title>
 
   <indexterm zone="encryption-options">
@@ -2186,7 +2186,7 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
 
  </sect1>
 
- <sect1 id="ssl-tcp">
+ <sect1 id="ssl-tcp" xreflabel="Secure TCP/IP Connections with SSL">
   <title>Secure TCP/IP Connections with SSL</title>
 
   <indexterm zone="ssl-tcp">
@@ -2214,7 +2214,7 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
    in <productname>PostgreSQL</productname>.
 
   </para>
-  <sect2 id="ssl-setup">
+  <sect2 id="ssl-setup" xreflabel="Basic Setup">
    <title>Basic Setup</title>
 
   <para>
@@ -2290,7 +2290,7 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
   </para>
   </sect2>
 
-  <sect2 id="ssl-openssl-config">
+  <sect2 id="ssl-openssl-config" xreflabel="OpenSSL Configuration">
    <title>OpenSSL Configuration</title>
 
   <para>
@@ -2323,7 +2323,7 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
   </note>
   </sect2>
 
-  <sect2 id="ssl-client-certificates">
+  <sect2 id="ssl-client-certificates" xreflabel="Using Client Certificates">
    <title>Using Client Certificates</title>
 
   <para>
@@ -2397,7 +2397,7 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
   </para>
   </sect2>
 
-  <sect2 id="ssl-server-files">
+  <sect2 id="ssl-server-files" xreflabel="SSL Server File Usage">
    <title>SSL Server File Usage</title>
 
    <para>
@@ -2467,7 +2467,7 @@ pg_dumpall -p 5432 | psql -d postgres -p 5433
    </para>
   </sect2>
 
-  <sect2 id="ssl-certificate-creation">
+  <sect2 id="ssl-certificate-creation" xreflabel="Creating Certificates">
    <title>Creating Certificates</title>
 
    <para>
@@ -2574,7 +2574,7 @@ openssl x509 -req -in server.csr -text -days 365 \
 
  </sect1>
 
- <sect1 id="gssapi-enc">
+ <sect1 id="gssapi-enc" xreflabel="Secure TCP/IP Connections with GSSAPI Encryption">
   <title>Secure TCP/IP Connections with GSSAPI Encryption</title>
 
   <indexterm zone="gssapi-enc">
@@ -2590,7 +2590,7 @@ openssl x509 -req -in server.csr -text -days 365 \
    enabled at build time (see <xref linkend="installation"/>).
   </para>
 
-  <sect2 id="gssapi-setup">
+  <sect2 id="gssapi-setup" xreflabel="Basic Setup">
    <title>Basic Setup</title>
 
    <para>
@@ -2623,7 +2623,7 @@ openssl x509 -req -in server.csr -text -days 365 \
   </sect2>
  </sect1>
 
- <sect1 id="ssh-tunnels">
+ <sect1 id="ssh-tunnels" xreflabel="Secure TCP/IP Connections with SSH Tunnels">
   <title>Secure TCP/IP Connections with <application>SSH</application> Tunnels</title>
 
   <indexterm zone="ssh-tunnels">
@@ -2720,7 +2720,7 @@ ssh -L 63333:db.foo.com:5432 joe@shell.foo.com
 
  </sect1>
 
- <sect1 id="event-log-registration">
+ <sect1 id="event-log-registration" xreflabel="Registering Event Log on Windows">
   <title>Registering <application>Event Log</application> on <systemitem
   class="osname">Windows</systemitem></title>
 
diff --git a/doc/src/sgml/seg.sgml b/doc/src/sgml/seg.sgml
index 2e879c3e452..0eb6880e734 100644
--- a/doc/src/sgml/seg.sgml
+++ b/doc/src/sgml/seg.sgml
@@ -20,7 +20,7 @@
   on the current database.
  </para>
 
- <sect2 id="seg-rationale">
+ <sect2 id="seg-rationale" xreflabel="Rationale">
   <title>Rationale</title>
 
   <para>
@@ -81,7 +81,7 @@ test=&gt; SELECT '6.25 .. 6.50'::seg AS "pH";
   </para>
  </sect2>
 
- <sect2 id="seg-syntax">
+ <sect2 id="seg-syntax" xreflabel="Syntax">
   <title>Syntax</title>
 
   <para>
@@ -220,7 +220,7 @@ test=&gt; SELECT '6.25 .. 6.50'::seg AS "pH";
 
  </sect2>
 
- <sect2 id="seg-precision">
+ <sect2 id="seg-precision" xreflabel="Precision">
   <title>Precision</title>
 
   <para>
@@ -239,7 +239,7 @@ test=&gt; SELECT '6.25 .. 6.50'::seg AS "pH";
   </para>
  </sect2>
 
- <sect2 id="seg-usage">
+ <sect2 id="seg-usage" xreflabel="Usage">
   <title>Usage</title>
 
   <para>
@@ -363,7 +363,7 @@ test=&gt; SELECT '6.25 .. 6.50'::seg AS "pH";
   </para>
  </sect2>
 
- <sect2 id="seg-notes">
+ <sect2 id="seg-notes" xreflabel="Notes">
   <title>Notes</title>
 
   <para>
@@ -392,7 +392,7 @@ postgres=&gt; SELECT '10(+-)1'::seg AS seg;
   </para>
  </sect2>
 
- <sect2 id="seg-credits">
+ <sect2 id="seg-credits" xreflabel="Credits">
   <title>Credits</title>
 
   <para>
